%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 1.0
%define major 0
%define libname %mklibname %{name} %{api} %{major}
%define girname %mklibname %{name}-gir %{api}
%define devname %mklibname %{name} %{api} -d

Summary:	GTK Support for Clutter
Name:		clutter-gtk
Version:	1.8.4
Release:	1
License:	LGPLv2+
Group:		Graphics
Url:		http://clutter-project.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/clutter-gtk/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	docbook-dtd412-xml
#gw for Gtk-2.0.gir
BuildRequires:	gir-repository
BuildRequires:	gtk-doc
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(clutter-%{api})
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)

%description
A library providing facilities to integrate Clutter into GTK+
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

Because of limitations inside Clutter, it is only possible to embed a single
ClutterStage.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	GTK Support for Clutter
Group:		System/Libraries

%description -n %{libname}
A library providing facilities to integrate Clutter into GTK+
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

Because of limitations inside Clutter, it is only possible to embed a single
ClutterStage.

%files -n %{libname} -f cluttergtk-%{api}.lang
%{_libdir}/lib%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Conflicts:	%{_lib}clutter-gtk1.0_0 < 1.5.2-3

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkClutter-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development headers/libraries for %{name}
Group:		Development/X11
Provides:	%{name}-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}

%description -n %{devname}
Development headers/libraries for %{name}.

%files -n %{devname}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%dir %{_includedir}/%{name}-%{api}/%{name}
%{_includedir}/%{name}-%{api}/%{name}/*.h
%{_datadir}/gir-1.0/GtkClutter-%{api}.gir
%dir %{_datadir}/gtk-doc/html/%{name}-%{api}
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x --enable-gtk-doc
%make

%install
%makeinstall

%find_lang cluttergtk-%{api}


%changelog

* Sat Sep 02 2017 tremod <negry.m@yandex.ru> 1.8.4-1
- (2efe6f9) Update to 1.8.4


